Summary: provides support for IMAP and POP network mail protocols
Name: qmail-imap
Version: 4.5.beta
Release: 2
Copyright: BSD
Group: Networking/Daemons
Source0: ftp.cac.washington.edu:/mail/imap-4.5.BETA.tar.Z
Source1: imap.pamd
Patch0: qmail-imap-4.5.BETA-pam.patch
Patch1: qmail-imap-4.5.BETA-qmail.patch
Patch2: qmail-imap-4.5.BETA-auth.patch
Patch3: qmail-imap-4.5.BETA-doc.patch
Patch4: qmail-imap-4.5.BETA-maildir.patch
BuildRoot: /tmp/imap
%ifos Linux
Requires: redhat-release >= 5.0, pam >= 0.59
%endif
DocDir: /usr/doc

%description
This package is a server for the POP (Post Office Protocol) and IMAP mail
protocols.  The POP protocol allows a "post office" machine to collect mail for
users and have that mail downloaded to the user's local machine for reading. The
IMAP protocol provides the functionality of POP, and allows a user to
read mail on a remote machine without moving it to the remote machine.

This is a version of the IMAP/POP server that works with QMAIL.  The four
differences are:

1. Mail can be picked up from the ~user/Mailbox file.
2. Mail can be picked up from the ~user/Maildir/ directory. (see README.maildir)
3. APOP authentication has been added to the POP3 server.
4. CRAM-MD5 authentication has been added to the IMAP server.

Unfortunately for Unix the APOP and CRAM-MD5 password needs to stored in the
user's home directory in the .apop and .cram-md5 file, respectively. Make sure
it is readable only by the user.

%changelog
* Thu Nov 19 1998 David W. Summers <david@summersoft.fay.ar.us>

Version 4.5.BETA Release 2
- Took out patch which messed with user's home directory.  Evidently previous
  versions of both Eudora and Netscape had problems that have been fixed.

* Mon Nov 16 1998 David W. Summers <david@summersoft.fay.ar.us>

Version 4.5.BETA Release 1
- Upgrade to 4.5.BETA.
- New maildir980721 from Mattias Larson <mta@freeit.com>.
- No need to build as root any more.

* Sat Jul 18 1998 David W. Summers <david@summersoft.fay.ar.us>

Rel 1: Uses imap-4.1.FINAL.tar.Z from ftp.cac.washington.edu.
   - New Linux version from RedHat.
   - New maildir980714 from Mattias Larson <mta@freeit.com>

%prep
cd $RPM_BUILD_DIR
rm -rf imap
%setup -n imap-4.5.BETA
%ifos Linux
%patch0 -p1 -b .pam
%endif
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p2

%build
RPM_OPT_FLAGS="-O2"
%ifarch i386
RPM_OPT_FLAGS="$RPM_OPT_FLAGS -m486"
%endif

%ifos Linux
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" slx
%else
make gso
%endif

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/man/man8
cp ./src/ipopd/ipopd.8c $RPM_BUILD_ROOT/usr/man/man8/ipopd.8c
cp ./src/imapd/imapd.8c $RPM_BUILD_ROOT/usr/man/man8/imapd.8c
mkdir -p $RPM_BUILD_ROOT/usr/sbin
cp ./ipopd/ipop2d $RPM_BUILD_ROOT/usr/sbin
cp ./ipopd/ipop3d $RPM_BUILD_ROOT/usr/sbin
cp ./imapd/imapd $RPM_BUILD_ROOT/usr/sbin
%ifos Linux
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
cp ${RPM_SOURCE_DIR}/imap.pamd $RPM_BUILD_ROOT/etc/pam.d/imap
%endif

%post
%ifnos Linux
#echo "Checking /etc/inet/services..."
g=`grep -c "^pop" /etc/inet/services`
if [ $g -gt 0 ]; then
   true; #echo "pop and imap services already in /etc/inet/services"
 else
   # echo "Adding pop and imap services to /etc/inet/services."
   (cat /etc/inet/services;
   echo "pop2     	109/tcp		pop2     	# POP2 Mail service";
   echo "pop3     	110/tcp		pop3     	# POP3 Mail service";
   echo "imap     	143/tcp		imap     	# IMAP Mail service") > /etc/inet/services.new && cp /etc/inet/services /etc/inet/services.bak && cp /etc/inet/services.new /etc/inet/services && rm /etc/inet/services.new
fi

#echo "Checking /etc/inet/inetd.conf..."
g=`grep -c "pop" /etc/inet/inetd.conf`
if [ $g -gt 0 ]; then
   true; # echo "pop and imap services already in /etc/inet/inetd.conf"
 else
   #echo "Adding pop and imap services to /etc/inet/inetd.conf."
   (cat /etc/inet/inetd.conf;
   echo "#pop2 stream tcp nowait root /usr/sbin/ipop2d ipop2d";
   echo "#pop3 stream tcp nowait root /usr/sbin/ipop3d ipop3d";
   echo "#imap stream tcp nowait root /usr/sbin/imapd imapd") > /etc/inet/inetd.conf.new && cp /etc/inet/inetd.conf /etc/inet/inetd.conf.bak && cp /etc/inet/inetd.conf.new /etc/inet/inetd.conf && rm /etc/inetd/inetd.conf.new
fi
%endif

%preun
%ifnos Linux
#echo "Deleting pop and imap services from /etc/inet/services."
sed -e '/pop/d' -e '/imap/d' /etc/inet/services > /etc/inet/services.new && cp /etc/inet/services /etc/inet/services.bak && cp /etc/inet/services.new /etc/inet/services && rm /etc/services.new

#echo "Deleting pop and imap services from /etc/inet/inetd.conf."
sed -e '/pop/d' -e '/imap/d' /etc/inet/inetd.conf > /etc/inet/inetd.conf.new && cp /etc/inet/inetd.conf /etc/inet/inetd.conf.bak && cp /etc/inet/inetd.conf.new /etc/inet/inetd.conf && rm /etc/inetd/inetd.conf.new
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README.maildir
%ifos Linux
%config /etc/pam.d/imap
%endif
/usr/man/man8/ipopd.8c
/usr/man/man8/imapd.8c
/usr/sbin/ipop2d
/usr/sbin/ipop3d
/usr/sbin/imapd
